GDCM: gdcm::Command Class Reference

GDCM 3.2.11

Public Member Functions | Protected Member Functions | List of all members
gdcm::Command Class Referenceabstract

Command superclass for callback/observer methods. More...

`#include <gdcmCommand.h>`

Inheritance diagram for gdcm::Command:
[legend]
Collaboration diagram for gdcm::Command:
[legend]

## Public Member Functions
| Command (const Command &)=delete
virtual void | Execute (const Subject *caller, const Event &event)=0
virtual void | Execute (Subject *caller, const Event &event)=0
| Abstract method that defines the action to be taken by the command.
void | operator= (const Command &)=delete
Public Member Functions inherited from gdcm::Subject
| Subject ()
| ~Subject () override
unsigned long | AddObserver (const Event &event, Command *)
unsigned long | AddObserver (const Event &event, Command *) const
Command * | GetCommand (unsigned long tag)
bool | HasObserver (const Event &event) const
void | InvokeEvent (const Event &)
void | InvokeEvent (const Event &) const
void | RemoveAllObservers ()
void | RemoveObserver (unsigned long tag)
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Protected Member Functions
| Command ()
| ~Command () override
Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

Command superclass for callback/observer methods.

See also
  Subject

## Constructor & Destructor Documentation

## ◆ Command() [1/2]

gdcm::Command::Command | ( | const Command & |  | ) |
| delete

References Command().

Referenced by Command(), and operator=().

## ◆ Command() [2/2]

gdcm::Command::Command | ( |  | ) |
| protected

## ◆ ~Command()

gdcm::Command::~Command | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ Execute() [1/2]

virtual void gdcm::Command::Execute | ( | const Subject * | caller,
|  | const Event & | event )
| pure virtual

Abstract method that defines the action to be taken by the command. This variant is expected to be used when requests comes from a const Object

Implemented in gdcm::MemberCommand< T >, gdcm::MemberCommand< SimpleSubjectWatcher >, gdcm::SimpleMemberCommand< T >, and gdcm::SimpleMemberCommand< SimpleSubjectWatcher >.

References gdcm::Subject::Subject().

## ◆ Execute() [2/2]

virtual void gdcm::Command::Execute | ( | Subject * | caller,
|  | const Event & | event )
| pure virtual

Abstract method that defines the action to be taken by the command.

Implemented in gdcm::MemberCommand< T >, gdcm::MemberCommand< SimpleSubjectWatcher >, gdcm::SimpleMemberCommand< T >, and gdcm::SimpleMemberCommand< SimpleSubjectWatcher >.

References gdcm::Subject::Subject().

## ◆ operator=()

void gdcm::Command::operator= | ( | const Command & |  | ) |
| delete

References Command().

The documentation for this class was generated from the following file:

- gdcmCommand.h